%define upstream_name bulk_extractor
Name:           bulk-extractor
Version:        1.3
Release:        %mkrel 2
Summary:        A forensic media scanning and analysis tool
License:        Public Domain
Group:          Security
URL:            http://afflib.org/software/%{upstream_name}
Source0:        http://github.com/downloads/simsong/%{upstream_name}/%{upstream_name}-%{version}.tar.gz  
BuildRequires:  flex
BuildRequires:  libzlib-devel
BuildRequires:  java-devel
BuildRequires:  pkgconfig(libewf)
BuildRequires:  pkgconfig(tre)
BuildRequires:  pkgconfig(openssl)
Requires:       zlib

%description
bulk_extractor is a C++ program that scans a disk image, a file, or a
directory of files and extracts useful information without parsing the
file system or file system structures. The results are stored in feature files
that can be easily inspected, parsed, or processed with automated tools.
It also creates histograms of features that it finds, as features that are
more common tend to be more important.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%configure2_5x

%make

%install
%{makeinstall_std}

%files
   %{_bindir}/BEViewer
   %{_bindir}/BEViewer.jar
   %{_bindir}/bulk_extractor
   %{_mandir}/man1/bulk_extractor.1.xz



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 347222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 1.3-1.mga3
+ Revision: 310498
- fix BuildRequires
- fix java dependency
- update to 1.3
- update RPM group

* Fri Dec 16 2011 barjac <barjac> 1.1.1-1.mga2
+ Revision: 182808
- imported package bulk-extractor

